/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   WrongCat.cpp                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/12/01 19:49:11 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/06 15:55:37 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "WrongCat.hpp"

WrongCat::WrongCat(void) : WrongAnimal("WrongCat"){
	log("➕", "WrongCat", "", "construtor called");
}

WrongCat::~WrongCat(void) {
	log("➖", "WrongCat", "", "destructor called");
}

WrongCat::WrongCat(const WrongCat &cpy) : WrongAnimal("WrongCat"){
	log("➕", "WrongCat", _type, "copy construtor called");
	*this = cpy;
}

WrongCat	&WrongCat::operator=(const WrongCat &cpy) {
	log("🟰", "WrongCat", "", "copy assignment construtor called");
	if (this != &cpy) {
		this->_type = cpy._type;
	}
	return (*this);
}

void	WrongCat::makeSound(void) const {
	log("🔊", "WrongCat", "", "wwwwwwwwooooooooeeeeeeeeemmmmmmm");
}
