/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   WrongAnimal.hpp                                    :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/11/30 16:33:08 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/04 13:50:36 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include <string>

class	WrongAnimal {
	protected:
		std::string	_type;

	public:
		WrongAnimal(void);
		~WrongAnimal(void);
		WrongAnimal(std::string);
		WrongAnimal(const WrongAnimal &);
		WrongAnimal	&operator=(const WrongAnimal &);

		std::string	getType(void) const;

		void	makeSound(void) const;
};

void	log(std::string, std::string, std::string, std::string);
