/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   MateriaSource.cpp                                  :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/12/11 12:17:06 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/11 12:31:04 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "MateriaSource.hpp"
#include "Log.hpp"

MateriaSource::MateriaSource(void) {
	log("➕", "MateriaSource", "", "default constructor called");
}

MateriaSource::~MateriaSource(void) {
	log("➖", "MateriaSource", "", "destructor called");

}

MateriaSource::MateriaSource(const MateriaSource &cpy) {
	*this = cpy;
	log("➕", "MateriaSource", "", "copy constructor called");
}

MateriaSource	&MateriaSource::operator=(const MateriaSource &cpy) {
	log("➕", "MateriaSource", "", "copy assignement constructor called");
	for (int i = 0; i < 4; i++) {
		this->_materias[i] = cpy._materias[i];
	}
	return (*this);
}
