/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   animal.hpp                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/11/30 16:33:08 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/04 14:00:12 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include <string>

class	Animal {
	protected:
		std::string	_type;

	public:
		Animal(void);
		Animal(std::string);
		virtual ~Animal(void);
		Animal(const Animal &);
		Animal	&operator=(const Animal &);

		std::string	getType(void) const;

		virtual void	makeSound(void) const;
};

void	log(std::string, std::string, std::string, std::string);
