/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   Character.hpp                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/12/10 14:59:12 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/10 15:43:54 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include "AMateria.hpp"
#include "ICharacter.hpp"

#define ENV_SIZE 4

class Character : public ICharacter{
	private:
		AMateria	_materias[ENV_SIZE];
	public:
		Character(void);
		~Character(void);
		Character(const Character &);
		Character	&operator=(const Character &);

		void	equip(Character *);
		void	unequip(int idx);
		void	use(int idx, Character &);
};
